Subject: Re: [PATCH/RFCv3 2/2] git rebase -i: warn about removed commits

From: Matthieu Moy <[email-masked]>
Date: Wed, 03 Jun 2015 08:42:59 +0200

Remi Galan Alfonso <[email-masked]> writes:

> Checking that the warning was correctly displayed like in the test for
> "warn" if I understood correctly. About that, is checking that the
> first line is "Warning: some commits may have been dropped
> accidentally." (like in the test for "warn") enough, or should I check
> that the commit displayed as removed is the correct one?

Ideally, you would check the list of commits displayed too. If the
commits sha1 are stable, this should be easy to do. If it's too hard to
test, I'd say its not worth the trouble, but others may disagree.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/